%define name xmms-smpeg
%define version 0.3.5
%define release %mkrel 8

Name: %{name}
Summary: This plugin lets you play mpeg videos with the xmms multimedia player
Version: %{version}
Release: %{release}
License: GPL
Group: Video
Source0: ftp://ftp.xmms.org/xmms/plugins/smpeg-xmms/smpeg-xmms-%{version}.tar.bz2
Patch0:	%{name}-0.3.5-configure-gcc-3.3.fix.patch
URL: http://195.139.204.136/xmms/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	esound-devel
BuildRequires:	libsmpeg-devel
BuildRequires:	libxmms-devel
BuildRequires:	mawk
BuildRequires:	texinfo
BuildRequires:	automake1.4
BuildRequires:  gtk+-devel
Requires: xmms

%description
This plugin lets you play mpeg videos with the xmms multimedia player.

%prep
%setup -q -n smpeg-xmms-%{version}
%patch0 -p0
libtoolize --copy --force
aclocal-1.4
automake-1.4 -a -c --gnu
FORCE_AUTOCONF_2_5=1 autoconf

%build
# I ran into big trouble using the %%configure script, because of libtoolize; it won't link the shared library
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
./configure %{_target_platform} --prefix=%{_prefix} --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README AUTHORS COPYING NEWS TODO
%{_libdir}/xmms/Input/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.5-8mdv2009.0
+ Revision: 257534
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.5-6mdv2008.1
+ Revision: 135621
- fix autoconf name
- kill re-definition of %%buildroot on Pixel's request


* Fri Jan 13 2006 Olivier Blin <oblin@mandriva.com> 0.3.5-6mdk
- don't make -j (autom4te doesn't like "lame NFS client")
- BuildRequires gtk+-devel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.3.5-5mdk
- Rebuild

* Fri Jul 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.5-4mdk
- fix build with new autotools
- remove packager tag

* Tue Mar 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.5-3mdk
- drop redundant buildrequires
- fix patching

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.5-2mdk
- drop redundant buildrequires
- fix gcc-3.3 issues in smpeg test code (P0)
- use %%_target_platform with configure

